Qt 5.11 | Qt Sensors | C++ Classes | QSensorGestureRecognizer

Qt 5.11.3 Reference Documentation

# QSensorGestureRecognizer Class

The QSensorGestureRecognizer class is the base class for a sensor gesture recognizer. More...

Header: | #include <QSensorGestureRecognizer>
qmake: | QT += sensors
Since: | Qt 5.1

- List of all members, including inherited members

## Public Functions

| QSensorGestureRecognizer(QObject *parent = Q_NULLPTR)
virtual | ~QSensorGestureRecognizer()
void | createBackend()
QStringList | gestureSignals() const
virtual QString | id() const = 0
virtual bool | isActive() = 0
void | startBackend()
void | stopBackend()

## Signals

void | detected(const QString &)

## Protected Functions

virtual void | create() = 0
virtual bool | start() = 0
virtual bool | stop() = 0

## Detailed Description

The QSensorGestureRecognizer class is the base class for a sensor gesture recognizer.

QSensorGesture recognizer developers should sub-class this to implement their own recognizer.

All sensor gesture recognizers have a detected(QString) signal. Implementors can use this and send recognizer specific gestures, such as detected("shake_left") or implement custom signals such as shakeLeft().

These custom signals will be available in the QSensorGesture object at runtime.

See also QSensorGestureRecognizer::gestureSignals().

## Member Function Documentation

### QSensorGestureRecognizer::QSensorGestureRecognizer(QObject *parent = Q_NULLPTR)

Constructs the QSensorGestureRecognizer with parent as parent.

### `[virtual]` QSensorGestureRecognizer::~QSensorGestureRecognizer()

Destroy the QSensorGestureRecognizer

### `[pure virtual protected]` void QSensorGestureRecognizer::create()

Called by QSensorGesture object constructor to create the recognizers backend.

Implementors would use this to instantiate QSensors and connect signals.

### void QSensorGestureRecognizer::createBackend()

Calls QSensorGestureRecognizer::create() if the recognizer is valid.

### `[signal]` void QSensorGestureRecognizer::detected(const QString &)

Signals when the gestureId gesture has been recognized.

### QStringList QSensorGestureRecognizer::gestureSignals() const

Returns a list of signals that this recognizer supports.

Note that all signals declared will be exported to the QSensorGesture object. If you need to use signals that are not exported, you should use a private class to do so.

### `[pure virtual]` QString QSensorGestureRecognizer::id() const

Returns the identifier for this recognizer.

### `[pure virtual]` bool QSensorGestureRecognizer::isActive()

Returns true if this recognizer is active, otherwise false.

### `[pure virtual protected]` bool QSensorGestureRecognizer::start()

Called by QSensorGesture::startDetection() to start this recognizer. Implementors should start the sensors. Returns true if the operation is successful.

### void QSensorGestureRecognizer::startBackend()

Calls QSensorGestureRecognizer::start() if the recognizer isn't already initialized. This is called by the QSensorGesture object, so please use that instead.

See also QSensorGesture::startDetection().

### `[pure virtual protected]` bool QSensorGestureRecognizer::stop()

Called by QSensorGesture::stopDetection() to stop this recognizer. Returns true if the call succeeds, otherwise false.

Implementors should stop the sensors.

### void QSensorGestureRecognizer::stopBackend()

Calls QSensorGestureRecognizer::stop() if no other clients are using it. This is called by the QSensorGesture object, so please use that instead.

See also QSensorGesture::stopDetection().